using be.fgov.ehealth.technicalconnector.tests.session;
using be.fgov.ehealth.technicalconnector.tests.utils;
using be.ehealth.businessconnector.mycarenet.memberdatav2.session;
using NUnit.Framework;

namespace be.ehealth.businessconnector.mycarenet.memberdatav2.session
{
	[TestFixture]
	public class NurseIntegrationTest : AbstractCareProviderIntegrationTest {
		
		public NurseIntegrationTest() : base("77-NUR-ENEH", "78-NUR-ENxS", "79-NUR-CNCH", "80-NUR-CNxS") { /* ... */ }
		
		public override void init() {
			java.util.Properties props = new java.util.Properties();			
        	props.put("session.environment", "acc");
        	props.put("session.professionType", "persnurse");
        	// "memberdata-hannes" load a test config file where the following saml attribute property is set:
            // sessionmanager.samlattributedesignator.6=urn:be:fgov:certified-namespace:ehealth,urn:be:fgov:person:ssin:ehealth:1.0:nihii:nurse:nihii11
        	props.put("session.username", "memberdata-hannes");
			SessionInitializer.init(props, true, SupportedLanguages.NET.getAbbreviation());
		}
		
	}
	
}
